#ifndef __GSK_UTILS_H_
#define __GSK_UTILS_H_

#include <glib.h>

G_BEGIN_DECLS

/* make DIR and all necessary parent directories.
   if DIR exists, return TRUE.

   generally returns FALSE only if there's a file
   in the way, or permission problems. */
gboolean gsk_mkdir_p (const char *dir,
                      guint       permissions,
		      GError    **error);

/* utility function: escape a string like a C string.
 * return value should be freed by caller. */
char *gsk_escape_memory (gconstpointer    data,
		         guint            len);

void  gsk_fd_set_close_on_exec (int fd, gboolean close_on_exec);

G_END_DECLS

#endif
